# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name glib

%global common_summary Binding to the GLIB library for Gtk2Hs

%global common_description The GNU Library is a collection of C data structures and utility functions for\
dealing with Unicode. This package only binds as much functionality as required\
to support the packages that wrap libraries that are themselves based on GLib.

Name:           ghc-%{pkg_name}
Version:        0.12.4
Release:        2%{?dist}
Summary:        %{common_summary}

License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
# End cabal-rpm deps
BuildRequires:  gtk2hs-buildtools
BuildRequires:  glib2-devel%{?_isa}

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package
Requires:       glib2-devel%{?_isa}
# obsolete old gtk2hs packages
Obsoletes:      ghc-gconf-devel < 0.11, ghc-gstreamer-devel < 0.11, ghc-svgcairo-devel < 0.11, ghc-gtk2hs-doc < 0.11

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files COPYING


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 19 2012 Jens Petersen <petersen@redhat.com> - 0.12.4-1
- update to 0.12.4

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.12.3.1-4
- update with cabal-rpm
- move old obsoletes to devel subpackage

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.12.3.1-2
- change prof BRs to devel

* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.12.3.1-1
- update to 0.12.3.1

* Tue Mar 20 2012 Jens Petersen <petersen@redhat.com> - 0.12.3-1
- update to 0.12.3

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.12.2-2
- update to cabal2spec-0.25.2

* Tue Dec 27 2011 Jens Petersen <petersen@redhat.com> - 0.12.2-1
- update to 0.12.2 and cabal2spec-0.25

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.12.1-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.12.1-1.1
- rebuild with new gmp

* Tue Sep 20 2011 Jens Petersen <petersen@redhat.com> - 0.12.1-1
- update to 0.12.1
- add _isa suffix to gtk2-devel depends (see #723558)

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-5
- BR ghc-Cabal-devel instead of ghc-prof (cabal2spec-0.23.1)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.12.0-4
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-2
- update to cabal2spec-0.22.4

* Tue Nov 30 2010 Jens Petersen <petersen@redhat.com> - 0.12.0-1
- update to 0.12.0 and drop the Gtk2HsSetup patch

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-4
- obsolete ghc-gtk2hs-doc
- fix build with Cabal-1.10 with ghc-glib-Gtk2HsSetup-Cabal-1.10.patch

* Sat Sep 25 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-3
- obsolete ghc-gtk2hs gconf, gstreamer, and svgcairo
- using ghc_pkg_obsoletes from ghc-rpm-macros-0.8.2

* Tue Sep  7 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-2
- fix the build macro

* Mon Sep  6 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-1
- update to 0.11.2

* Thu Aug 19 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-1
- update to 0.11.1

* Fri Jul 16 2010 Jens Petersen <petersen@redhat.com> - 0.11.0-2
- use ghc-rpm-macros-0.8.1 so devel provides doc

* Wed Jun 30 2010 Jens Petersen <petersen@redhat.com> - 0.11.0-1
- description and license
- buildrequires gtk2hs-buildtools
- support hscolour
- buildrequires glib2-devel

* Wed Jun 30 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
